# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Name:           lv2-EQ10Q-plugins
Version:        1.0
Release:        alt1_13
Summary:        LV2 Plugin: Parametric audio equalizer with 12 different filter types

Group:          Sound
# The vuwidget class is under GPLv3+.  The rest is under GPLv2+.  The GPLv3+ is
# only only included in the parameq_gui.so library.  The other library,
# paramEQ.so, contains only GPLv2+ code.
License:        GPLv2+ and GPLv3+
URL:            http://eq10q.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/eq10q/EQ10Q-LV2Plugin-source-%{version}.tar.gz
# This patch modifies the make file to allow for the overriding of optimization
# flags.
# This patch was submitted to upstream's patch tracker. See
# http://sourceforge.net/tracker/?func=detail&aid=2988919&group_id=298133&atid=1257899
Patch0:         %{name}-CXXFLAGS.patch
# This patch fixes an issue with the parameq.ttl file.  This file fails to
# properly define the foaf prefix.  This bug actually can cause a hang in
# lv2rack if the user has this plugin installed.
# Submitted upstream.  See
# http://sourceforge.net/tracker/?func=detail&aid=2988911&group_id=298133&atid=1257899
Patch1:         %{name}-foaf.patch
# This patch lets the builder specify a directory for the gui's image files.
# Submitted upstream at
# http://sourceforge.net/tracker/?func=detail&aid=2988924&group_id=298133&atid=1257899
Patch2:         %{name}-datadir.patch

%global datadir %{_datadir}/%{name}

BuildRequires:  libgtkmm2-devel
BuildRequires:  libplotmm-devel
BuildRequires:  lv2-c++-tools-static
BuildRequires:  pstreams-devel
BuildRequires:  lv2-devel
Requires:  lv2
Source44: import.info

%description
EQ10Q is an audio plug-in using the LV2 standard implementing a powerful and
flexible parametric equalizer.
The goal is to create an equalizer plug-in that includes parametric equalization
with different filter types like peaking, HPF, LPF, Shelving and Notch with IIR
algorithms and a nice GUI displaying the equalization curve.
At the moment we have implemented second order biquadratic filters (Peaking,
Low Shelving, High Shelving and Notch), and configurable order (1, 2, 3, 4) HPF
and LPF filters. All with IIR algorithms.

%prep
%setup -q -n EQ10Q
%patch0 -p1
%patch1 -p1
%patch2 -p1

# Get rid of warnings about spurious exec permissions in debuginfo package
chmod -x templatewidget.cpp templatewidget.h


%build
make %{?_smp_mflags} CXXFLAGS="%{optflags}" DATADIR=%{datadir}


%install
make install INSTALL_DIR="%{buildroot}%{_libdir}/lv2"
mkdir -p %{buildroot}%{datadir}
mv %{buildroot}%{_libdir}/lv2/paramEQ-Rafols.lv2/*.png %{buildroot}%{_libdir}/lv2/paramEQ-Rafols.lv2/combopix %{buildroot}%{datadir}


%files
%doc README
%{_libdir}/lv2/*
%{datadir}



%changelog
* Tue Mar 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_13
- fc import

